#include<stdio.h>
#include<stdlib.h>
int main()
{
    int n,q,br=0,i,j;
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    scanf("%d",&q);
    int t[q],l[q],r[q];
    for(i=0;i<q;i++)
    {
        scanf("%d %d",&l[i],&r[i]);
    }
    for(i=0;i<q;i++)
    {
        for(j=l[i];j<r[i];j++)
        {
            if(a[j-1]>a[j])
                {br++;}
        }

        if(br>1)
            t[i]=0;
        else
            t[i]=1;
        br=0;

    }

    for(i=0;i<q;i++)
    {
        if(t[i]==0)
            printf("NE \n");
        else
            printf("DA \n");
    }

    return 0;

}